Skip to main content
GET
/
v1
/
apps
/
{app_id}
/
runner-configs
get app runner configs
curl --request GET \
  --url https://api.nuon.co/v1/apps/{app_id}/runner-configs \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.nuon.co/v1/apps/{app_id}/runner-configs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.nuon.co/v1/apps/{app_id}/runner-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "app_config_id": "<string>",
    "app_id": "<string>",
    "created_at": "<string>",
    "created_by_id": "<string>",
    "env_vars": {},
    "helm_driver": "<string>",
    "id": "<string>",
    "init_script": "<string>",
    "instance_type": "<string>",
    "org_id": "<string>",
    "public_api_url": "<string>",
    "runner_api_url": "<string>",
    "updated_at": "<string>"
  }
]
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Path Parameters

app_id
string
required

app ID

Query Parameters

offset
integer
default:0

offset of jobs to return

limit
integer
default:10

limit of jobs to return

page
integer
default:0

page number of results to return

Response

OK

app_config_id
string
app_id
string
app_runner_type
enum<string>
Available options:
unknown,
aws-ecs,
aws-eks,
azure-aks,
azure-acs,
gcp-gke,
local,
aws,
azure,
gcp
cloud_platform
enum<string>
Available options:
aws,
azure,
gcp,
unknown
created_at
string
created_by_id
string
env_vars
object
helm_driver
string
id
string
init_script
string

takes a URL to a bash script ⤵ which will be curl | bash-ed on the VM. usually via user-data or equivalent.

instance_type
string

InstanceType is the cloud machine/instance type for the install runner host, mapped per cloud platform.

org_id
string
public_api_url
string

PublicAPIURL overrides the Nuon public API endpoint used for phone-home callbacks.

runner_api_url
string

RunnerAPIURL overrides the Nuon runner API endpoint for installs using this config.

updated_at
string